## ros-noetic-swri-rospy 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(swri_rospy)

find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()

catkin_install_python(PROGRAMS nodes/single_threaded_example
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-swri-rospy (2.15.2-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 01 Sep 2022 05:00:00 -0000

ros-noetic-swri-rospy (2.14.2-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 09 Sep 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.14.1-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Tue, 18 Aug 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.14.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 15 Jul 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.7-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 26 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.6-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.5-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 17 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.4-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Tue, 16 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.3-1buster) buster; urgency=high

  * Use setuptools instead of distutils (#583 <https://github.com/swri-robotics/marti_common/issues/583>)
  * Bump minimum cmake version
  * Contributors: Shane Loretz, P. J. Reed

 -- P. J. Reed <preed@swri.edu>  Fri, 12 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.2-1buster) buster; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.edu>  Wed, 10 Jun 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.1-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.13.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.12.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 25 Mar 2020 05:00:00 -0000

ros-noetic-swri-rospy (2.11.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 13 Nov 2019 06:00:00 -0000

ros-noetic-swri-rospy (2.10.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-swri-rospy (2.9.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 23 May 2019 05:00:00 -0000

ros-noetic-swri-rospy (2.8.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 06 Feb 2019 06:00:00 -0000

ros-noetic-swri-rospy (2.7.3-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 03 Jan 2019 06:00:00 -0000

ros-noetic-swri-rospy (2.7.2-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 20 Dec 2018 06:00:00 -0000

ros-noetic-swri-rospy (2.7.1-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 14 Dec 2018 06:00:00 -0000

ros-noetic-swri-rospy (2.7.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Tue, 04 Dec 2018 06:00:00 -0000

ros-noetic-swri-rospy (2.6.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Sat, 03 Nov 2018 05:00:00 -0000

ros-noetic-swri-rospy (2.5.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 12 Oct 2018 05:00:00 -0000

ros-noetic-swri-rospy (2.4.0-1buster) buster; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.edu>  Tue, 09 Oct 2018 05:00:00 -0000

ros-noetic-swri-rospy (2.3.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 25 May 2018 05:00:00 -0000

ros-noetic-swri-rospy (2.2.1-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 11 May 2018 05:00:00 -0000

ros-noetic-swri-rospy (2.2.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Mon, 12 Feb 2018 06:00:00 -0000

ros-noetic-swri-rospy (2.1.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 26 Jan 2018 06:00:00 -0000

ros-noetic-swri-rospy (2.0.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Mon, 18 Dec 2017 06:00:00 -0000

ros-noetic-swri-rospy (1.2.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 13 Oct 2017 05:00:00 -0000

ros-noetic-swri-rospy (1.1.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 31 Aug 2017 05:00:00 -0000

ros-noetic-swri-rospy (1.0.0-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 02 Aug 2017 05:00:00 -0000

ros-noetic-swri-rospy (0.3.0-1buster) buster; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.edu>  Tue, 20 Jun 2017 05:00:00 -0000

ros-noetic-swri-rospy (0.0.14-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Tue, 11 Apr 2017 05:00:00 -0000

ros-noetic-swri-rospy (0.0.13-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Sun, 23 Oct 2016 05:00:00 -0000

ros-noetic-swri-rospy (0.0.12-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Sun, 14 Aug 2016 05:00:00 -0000

ros-noetic-swri-rospy (0.0.11-1buster) buster; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 13 May 2016 05:00:00 -0000

ros-noetic-swri-rospy (0.0.10-1buster) buster; urgency=high

  * Adds swri_rospy subclasses for Subscriber, Service, and Timer
    These classes are drop-in replacements for their rospy counterparts,
    except that their constructor has an additional parameter
    asynchronous, which defaults to False. If asynchronous is false, the
    callback is wrapped with the single_threaded decorator. (This means
    that all of these classes use the single-thread callback queue by
    default.)
    Also, swri_rospy.spin is now injected into the rospy namespace to
    override rospy.spin. This is done to prevent users from accidentally


=== debian/control ===
Source: ros-noetic-swri-rospy
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.edu>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-swri-rospy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: This package provides added functionality on top of rospy, including a single-threaded callback queue.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-swri-rospy//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-swri-rospy 2.15.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.16)
 
 project(swri_rospy)
